From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-itertools/
Date: Mon, 29 Oct 2018 10:10:46 +0000 (UTC) [thread overview]
Message-ID: <1540807836.b65350b17ec2a296df4513c952c52383dd248029.sbraz@gentoo> (raw)
commit: b65350b17ec2a296df4513c952c52383dd248029
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 29 10:09:18 2018 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Mon Oct 29 10:10:36 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b65350b1
dev-python/jaraco-itertools: bump to 3.0.0
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
dev-python/jaraco-itertools/Manifest | 1 +
.../jaraco-itertools/jaraco-itertools-3.0.0.ebuild | 59 ++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/dev-python/jaraco-itertools/Manifest b/dev-python/jaraco-itertools/Manifest
index 413eebf6860..b9326091bc1 100644
--- a/dev-python/jaraco-itertools/Manifest
+++ b/dev-python/jaraco-itertools/Manifest
@@ -1,3 +1,4 @@
DIST jaraco.itertools-2.3.tar.gz 12857 BLAKE2B 714b123965af3ff593205aab373f3097709729377cd867ca2a7ccbb7795b1818f47b0b316d4c927c9aec4eb66fe1da63b44c1d60db310dd97b5444b01f7db04d SHA512 070a442531fd079fefcb61bbbdb0cc98bc88cbc5f23f6cb40ee1fafbc9a259c69e0a373e949ab54d22836f54b0de41e1b09d10692f92d18030825ca09345be48
DIST jaraco.itertools-2.5.2.tar.gz 13744 BLAKE2B 3f27144d580805380446b89972c785fa7d7a37a4841d07584efff31f4bdb1ffb9c5e00571172050e63fd65531d7f1db3d9272420c200e717bf9b6dad4b2e4dc4 SHA512 6e5085eb60451f7a5e46df7f69c73062680d980e46a0d41c4e6baaf47d48f413f7cf0ee26b0b24d90e2499174df41b37d7388cfe33e52bfcbc96f7378213d575
DIST jaraco.itertools-2.5.tar.gz 13617 BLAKE2B 06c008a33a451314aa3e4ff0a5753dcd5e7f0b6504faea5574ea9d2061999246efbd62789e6ba81d49cc12cd4b13dd8241e58cbc71de611bd0cc773e5d40a1fa SHA512 9e56282073e7a09bcbe114c863c27d4a8233dc5b2805b17f174afcaba8643e6f8405c26f492713d0970975535102b188a4bad246b747a5718362c81a845cb494
+DIST jaraco.itertools-3.0.0.tar.gz 13461 BLAKE2B b6b5146ea2fd9aabe72da85be84224d1c06b71278661183ea52e6ca7c9032c4ca33310d61eb93ceeb14edc4f5923dffc5af25cc8f3345c7453921d85f20ca22e SHA512 91ffcfd2e734fe6647115b54a0eec45b58176681208a48705600a7293484fabdb5190f6981a985f35048bbc2fcb66250fa8a0d862ef41422102cdec1acdbfa41
diff --git a/dev-python/jaraco-itertools/jaraco-itertools-3.0.0.ebuild b/dev-python/jaraco-itertools/jaraco-itertools-3.0.0.ebuild
new file mode 100644
index 00000000000..07997f7cfb6
--- /dev/null
+++ b/dev-python/jaraco-itertools/jaraco-itertools-3.0.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Tests fail with PyPy and PyPy 3
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Tools for working with iterables. Complements itertools and more_itertools"
+HOMEPAGE="https://github.com/jaraco/jaraco.itertools"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/namespace-jaraco[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/inflect[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+ >=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${RDEPEND}
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ # Override pytest options to skip flake8
+ PYTHONPATH=. pytest -vv --override-ini="addopts=--doctest-modules" \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
next reply other threads:[~2018-10-29 10:10 UTC|newest]
Thread overview: 75+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-10-29 10:10 Louis Sautier [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-07 5:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/jaraco-itertools/ Michał Górny
2024-07-01 6:18 Arthur Zamarin
2023-08-19 16:21 Michał Górny
2023-08-19 16:19 Arthur Zamarin
2023-08-19 15:53 Michał Górny
2023-07-13 5:28 Michał Górny
2023-06-03 8:17 Michał Górny
2023-03-21 16:45 Michał Górny
2023-02-12 19:05 Michał Górny
2023-02-07 9:26 Michał Górny
2022-06-02 8:32 Michał Górny
2022-05-13 16:31 Arthur Zamarin
2022-03-15 14:10 Michał Górny
2022-03-15 11:44 Jakov Smolić
2022-02-22 19:01 Michał Górny
2022-02-21 9:15 Michał Górny
2022-02-04 18:32 Michał Górny
2022-02-04 18:32 Michał Górny
2022-02-04 12:04 Michał Górny
2022-01-19 22:45 James Le Cuirot
2021-10-24 8:43 Michał Górny
2021-10-24 0:19 Sam James
2021-09-18 7:00 Michał Górny
2021-05-06 14:44 Michał Górny
2021-04-18 7:05 Michał Górny
2021-04-18 1:41 Sam James
2021-03-15 8:34 Michał Górny
2020-11-28 8:27 Sam James
2020-09-21 15:30 Michał Górny
2020-09-20 15:38 Michał Górny
2020-09-19 0:25 Sam James
2020-09-19 0:23 Sam James
2020-09-19 0:17 Sam James
2020-09-04 23:03 Louis Sautier
2020-05-15 17:33 Sergei Trofimovich
2020-05-14 8:03 Agostino Sarubbo
2020-05-13 17:14 Agostino Sarubbo
2020-05-13 17:12 Agostino Sarubbo
2020-05-13 17:11 Agostino Sarubbo
2020-05-13 14:52 Agostino Sarubbo
2020-05-13 13:18 Agostino Sarubbo
2020-04-23 8:10 Sergei Trofimovich
2020-04-09 18:40 Sergei Trofimovich
2020-03-25 13:00 Michał Górny
2020-03-25 13:00 Michał Górny
2020-03-15 12:21 Mikle Kolyada
2020-03-03 7:22 Matt Turner
2020-02-06 9:02 Sergei Trofimovich
2020-02-06 8:34 Sergei Trofimovich
2020-02-06 8:23 Sergei Trofimovich
2020-01-27 13:15 Louis Sautier
2019-12-31 14:14 Louis Sautier
2019-12-31 14:14 Louis Sautier
2019-12-03 3:02 Aaron Bauman
2019-07-02 22:08 Louis Sautier
2019-07-02 22:08 Louis Sautier
2018-10-29 10:10 Louis Sautier
2018-09-18 23:05 Louis Sautier
2018-09-18 23:05 Louis Sautier
2018-09-07 22:59 Louis Sautier
2018-07-25 21:10 Louis Sautier
2018-07-10 22:04 Louis Sautier
2018-07-10 22:04 Louis Sautier
2018-06-25 10:40 Jason Zaman
2018-06-23 14:15 Louis Sautier
2018-06-23 14:15 Louis Sautier
2018-06-23 14:09 Louis Sautier
2018-06-18 10:34 Louis Sautier
2017-06-17 17:24 Agostino Sarubbo
2017-06-17 15:36 Agostino Sarubbo
2016-09-04 13:35 Göktürk Yüksek
2016-09-04 13:35 Göktürk Yüksek
2016-09-03 4:33 Göktürk Yüksek
2015-12-29 23:36 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1540807836.b65350b17ec2a296df4513c952c52383dd248029.sbraz@gentoo \
--to=sbraz@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox